For the complete documentation index, see llms.txt. This page is also available as Markdown.

Previews the document to Send

SKG Belgesini ön izler.

post

Xml olarak gönderilecek SKG Belgesini ön izlemek için bu ucu kullanabilirsiniz.

Authorizations
HTTPRequired

API anahtar� giriniz

Query parameters
TemplateUUIDstring · uuidOptional

Şablon UUID Bilgisi

Body
filestring · binaryOptional
Responses
200

Gönderilecek SKG Belgesini ön izler

stringOptional
post/Send/Xml/Preview
POST /einvoice/Send/Xml/Preview HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: multipart/form-data
Accept: */*
Content-Length: 17

{
  "file": "binary"
}
text
var options = new RestClientOptions("//einsurance/Send/Xml/Preview?TemplateUUID=<uuid>")
{
  MaxTimeout = -1,
};
var client = new RestClient(options);
var request = new RestRequest("", Method.Post);
request.AddHeader("Content-Type", "multipart/form-data");
request.AddHeader("Accept", "text/plain");
request.AddHeader("Authorization", "Bearer {{bearerToken}}");
request.AlwaysMultipartFormData = true;
request.AddFile("file", "/path/to/file");
RestResponse response = await client.ExecuteAsync(request);
Console.WriteLine(response.Content);
<?php

$curl = curl_init();

curl_setopt_array($curl, array(
  CURLOPT_URL => '//einsurance/Send/Xml/Preview?TemplateUUID=%3Cuuid%3E',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'POST',
  CURLOPT_POSTFIELDS => array('file'=> new CURLFILE('/path/to/file')),
  CURLOPT_HTTPHEADER => array(
    'Content-Type: multipart/form-data',
    'Accept: text/plain',
    'Authorization: Bearer {{bearerToken}}'
  ),
));

$response = curl_exec($curl);

curl_close($curl);
echo $response;

Last updated